by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Aug 10 08:31
    yutakatay starred neovim/node-client
  • Aug 08 19:09
    dnlup starred neovim/node-client
  • Aug 03 15:59
    mhartington commented #158
  • Aug 03 15:13
    mhartington opened #158
  • Jul 25 14:16
    Raisess starred neovim/node-client
  • Jul 17 00:59

    rhysd on npm_and_yarn

    (compare)

  • Jul 17 00:59

    rhysd on master

    build(deps): bump lodash from 4… (compare)

  • Jul 17 00:59
    rhysd closed #157
  • Jul 16 20:12
    dependabot[bot] labeled #157
  • Jul 16 20:12
    dependabot[bot] opened #157
  • Jul 16 20:12

    dependabot[bot] on npm_and_yarn

    build(deps): bump lodash from 4… (compare)

  • Jul 09 02:58
    jeffwillette commented #154
  • Jul 08 21:01
    nomasprime commented #154
  • Jul 08 15:50
    jeffwillette edited #156
  • Jul 08 15:50
    jeffwillette edited #156
  • Jul 08 15:48
    jeffwillette opened #156
  • Jul 08 14:22
    jeffwillette commented #154
  • Jul 04 04:13
    basharh starred neovim/node-client
  • Jun 28 16:42
    neo355 starred neovim/node-client
  • Jun 28 16:23
    gkze starred neovim/node-client
Billy Vong
@billyvg
@Chillee how do I test out vscodeneovim
Horace He
@Chillee
@billyvg yeah lol
That was my mistake
Billy Vong
@billyvg
nvim.buffer.getOption should work, might be a bug
Horace He
@Chillee
I see
uh hold on
Can you access that now?
I just made it unprivate
there's a .vsix you can download there
so depending on your .vimrc
and just in general, performance might be pretty bad
but there's a lot of performance improvements that I have disabled just because they make it a bit harder to debug
Horace He
@Chillee
you're also going to need to have the very newest version of neovim installed
as in, compiled from master
on arch, I just dopacaur -S neovim-git
Horace He
@Chillee
ok I just deleted the .vsix since the other people working on it think it's a bad idea lol
Billy Vong
@billyvg
what is .vsix
vscode cmd+p sucks compared to fzf :(
Horace He
@Chillee
it's just how VSCode provides extensions for download
Billy Vong
@billyvg
ah
Horace He
@Chillee
what's wrong with vscode's cmd+p?
Billy Vong
@billyvg
I find fzf a lot better
Horace He
@Chillee
any particular reason?
like better sorting or something?
Billy Vong
@billyvg
yeah better results (anecdotal)
maybe its the recently opened files that throws me off
Horace He
@Chillee
I'm pretty sure you can turn that off
Billy Vong
@billyvg
I need a better way to figure out when client is outdated
Billy Vong
@billyvg
@Chillee pushed 3.5.0 with nvim_execute_lua
nvim.lua()
also fixed nvim.buffer.getOption
Horace He
@Chillee
@billyvg awesome
Horace He
@Chillee
@billyvg Awesome the Lua thing works great
now I can write atomic things without needing to nest things really bizarrely in nvim_atomic ...
Billy Vong
@billyvg
Horace He
@Chillee
Lol that's pretty cool
Qiming zhao
@chemzqm
additional_textedits.gif
I have the auto import feature supported by my plugin now
Wang Shidong
@wsdjeg
@chemzqm I do not think coc should complete echoMessage before it was imported.
Qiming zhao
@chemzqm
It's feature of tsserver, sometimes would be wrong, and it could be turned off
Wang Shidong
@wsdjeg
get it,thanks
Seth Messer
@megalithic
hey there @chemzqm, I was wondering if you've had issues with building coc.nvim; specifically with regards to type errors around the use of the Buffer class?
@chemzqm i created an issue here: neoclide/coc.nvim#2
I couldn't find the 2 members you were referencing (id and listen) on the Buffer class in the node-client. would LOVE to give coc.nvim a try as deoplete has gotten buggy for me recently. thanks!
Qiming zhao
@chemzqm
A new release of node-client is required, I don't have that issue since I'm using master branch of node-client
Jan-Paul Bultmann
@j-pb_gitlab
Hey any ideas what could be causing this :)?

## Node provider (optional)
  - INFO: Node: v4.2.6
  - INFO: Host: /usr/local/bin/neovim-node-host
  - ERROR: Command error (job=4): /usr/local/bin/neovim-node-host --version
    Output: /usr/local/lib/node_modules/neovim/bin/cli.js:6const [, , ...args] = process.argv;      ^SyntaxError: Unexpected token [    at exports.runInThisContext (vm.js:53:1
    6)    at Module._compile (module.js:374:25)    at Object.Module._extensions..js (module.js:417:10)    at Module.load (module.js:344:32)    at Function.Module._load (module
    .js:301:12)    at Function.Module.runMain (module.js:442:10)    at startup (node.js:136:18)    at node.js:966:3
  - ERROR: Failed to run: /usr/local/bin/neovim-node-host --version 
    - ADVICE:
      - Report this issue with the output of:
      - /usr/local/bin/neovim-node-host --version
Jan-Paul Bultmann
@j-pb_gitlab
Ah, nevermind, rubberducking eh ^^' just realised that ubuntu ships with an ancient node version
works with version 8x :D